de.esprit.netsuite.server.auth.dbuser

## Class DBGroup

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.DBRecordContainer<R>
      - - de.esprit.appsuite.database.dbase.DBRecordWrapper
        - - de.esprit.netsuite.server.auth.dbuser.AbstractDatabaseGroup
          - - de.esprit.netsuite.server.auth.dbuser.DBGroup

- All Implemented Interfaces:
    DBPersistent, DBRecord, PersistentName, Renderable, DeepCloneable, Dumpable, Group, EspritPermissionOwner, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class DBGroup
      extends AbstractDatabaseGroup

  This is a sample custom implementation of a database group
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.group.Group

      `commentKey, displayNameKey, gidKey, groupNameKey, groupsDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBGroup(DBO_esprit_group group)`
    `DBGroup(Group group)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getDisplayName()` Returns the display-name of the group This may be a more speaking name as the groupName.
    `int` | `getGID()`
    `java.lang.String` | `getGroupName()` Returns the unique group name.
    `java.lang.String` | `getPersistentName()` Returns the String value to be stored in the database or file.
    `DBO_esprit_group` | `getRecord()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDisplayName(java.lang.String name)`
    `void` | `setGID(int gid)`

    - ### Methods inherited from class de.esprit.netsuite.server.auth.dbuser.AbstractDatabaseGroup

      `deepClone, equals, getRenderColor, getRenderIcon, getRenderText`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordWrapper

      `clone, compareTo, copyRecordValues, dbDelete, dbInsert, dbLoad, dbLoad, dbRehash, dbSearch, dbSearch, dbSearch, dbSearch, dbSelect, dbSelect, dbUpdate, exists, existsField, getFieldCount, getFieldFullNames, getFieldIcon, getFieldLength, getFieldNames, getForeignKeyRef, getJavaType, getJdbcType, getManagedDBObjects, getMasterRecord, getPrimaryKeyCount, getPrimaryKeyValues, getRecordName, getTranslationAppKey, getValue, hasPrimaryKey, isDirty, isFieldVirtual, isForeignKey, isNotNullField, isPrimaryKey, setPrimaryKeyValues`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordContainer

      `hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### DBGroup

          public DBGroup(Group group)

    - #### DBGroup

          public DBGroup(DBO_esprit_group group)

  - ### Method Detail

    - #### getRecord

          public DBO_esprit_group getRecord()

      Overrides:
        `getRecord` in class `DBRecordContainer`

    - #### getPersistentName

          public java.lang.String getPersistentName()

      Description copied from interface: `PersistentName`
      Returns the String value to be stored in the database or file. Note that the implementing Enum must also have a static method named fromPersistentName(String). This ensures that the Enum can be instantiated from the String read from database or file.

    - #### setGID

          public void setGID(int gid)

    - #### getGID

          public int getGID()

    - #### getGroupName

          public java.lang.String getGroupName()

      Description copied from interface: `Group`
      Returns the unique group name. This should be a short name with no white spaces and in lower case characters only.

    - #### setDisplayName

          public void setDisplayName(java.lang.String name)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from interface: `Group`
      Returns the display-name of the group This may be a more speaking name as the groupName.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.